/*
 * @Author: ysh
 * @Date: 2025-02-12 10:55:08
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-07-23 16:46:53
 */
import request from '@/utils/request'

// 查询开票列表
export function listContractInvoice(query) {
  return request({
    url: '/oa/contractInvoice/list',
    method: 'get',
    params: query
  })
}

// 查询开票详细
export function getContractInvoice(invoiceId) {
  return request({
    url: '/oa/contractInvoice/' + invoiceId,
    method: 'get'
  })
}

// 新增开票记录
export function addContractInvoice(data) {
  return request({
    url: '/oa/contractInvoice',
    method: 'post',
    data: data
  })
}

// 修改开票记录
export function updateContractInvoice(data) {
  return request({
    url: '/oa/contractInvoice',
    method: 'put',
    data: data
  })
}

// 删除开票记录
export function delContractInvoice(contractId) {
  return request({
    url: '/oa/contractInvoice/' + contractId,
    method: 'delete'
  })
}
